Download it now!
Bug 80534 - UI Dialog Table properties: Checkbox to repeat table header has no effect due to bad default value (0) for the number of rows
Summary: UI Dialog Table properties: Checkbox to repeat table header has no effect due...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Thomas Arnhold
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-25 20:33 UTC by OfficeUser
Modified: 2014-08-23 10:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot1 (14.57 KB, image/png)
2014-06-25 20:33 UTC, OfficeUser
Details
Screenshot2 (7.28 KB, image/png)
2014-06-25 20:34 UTC, OfficeUser
Details
Screenshot2 (7.70 KB, image/png)
2014-06-25 20:39 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2014-06-25 20:33:22 UTC
Hello,

I have attached screenshot1 on and screenshot2. The bug report is about screenshot1.

Screenshot1 shows the table properties dialog. You can see the default zero.
The user has to click the checkbox AND to enter a one to get the expected result. This is stupid.

Expected behavior:
This field should be changed to have a default 1 and to not accept values smaller than 1.

(For reference I have included screnshot2 which shows the corresponding dialog when inserting a table. This dialog comes with a default 1 and does not accept values smaller than 1.)

I think this is an regression. Current "stable" builds are affected too but I don't remember old OOo build to have this bug.
Comment 1 OfficeUser 2014-06-25 20:33:55 UTC
Created attachment 101765 [details]
Screenshot1
Comment 2 OfficeUser 2014-06-25 20:34:41 UTC
Created attachment 101766 [details]
Screenshot2
Comment 3 OfficeUser 2014-06-25 20:39:14 UTC
Created attachment 101767 [details]
Screenshot2
Comment 4 Cor Nouws 2014-06-25 21:46:53 UTC
thanks for the report.
Was indeed '1' in previous versions

Cor
Comment 5 Jorendc 2014-06-25 23:13:09 UTC
Will take a look tomorrow.
Comment 6 Jorendc 2014-07-04 16:47:56 UTC
Looks harder then I thought. Removing me from the assignee field.
Comment 7 Jorendc 2014-07-31 13:14:08 UTC
I may have a fix, but I'm not sure it's hackish or not. Maybe I'm just avoiding the problem.
Comment 8 Jorendc 2014-07-31 13:17:25 UTC
currently under review: https://gerrit.libreoffice.org/#/c/10657/
Comment 9 Commit Notification 2014-08-23 04:16:42 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9aede3befb65524d71a2cb8081ded6eb7aa67f55

fdo#80534 bad default value (0) for the number of rows



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-08-23 10:00:06 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8964193051a9ef543a50c7d87c78da99f253fbd&h=libreoffice-4-3

fdo#80534 bad default value (0) for the number of rows


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.